ViennaCL - The Vienna Computing Library: tests/src/scheduler_sparse.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
scheduler_sparse.cpp File Reference
`#include <iostream>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/compressed_matrix.hpp"`
`#include "viennacl/coordinate_matrix.hpp"`
`#include "viennacl/ell_matrix.hpp"`
`#include "viennacl/hyb_matrix.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/vector_proxy.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/linalg/ilu.hpp"`
`#include "viennacl/linalg/detail/ilu/common.hpp"`
`#include "viennacl/io/matrix_market.hpp"`
`#include "viennacl/tools/random.hpp"`
`#include "viennacl/scheduler/execute.hpp"`
`#include "viennacl/scheduler/io.hpp"`

Go to the source code of this file.

## Functions
template<typename ScalarType >
ScalarType | diff (ScalarType &s1, viennacl::scalar< ScalarType > &s2)
template<typename ScalarType >
ScalarType | diff (std::vector< ScalarType > &v1, viennacl::vector< ScalarType > &v2)
template<typename IndexT , typename NumericT , typename SparseMatrixT >
NumericT | diff (std::vector< std::map< IndexT, NumericT > > &cpu_A, SparseMatrixT &vcl_A)
template<typename IndexT , typename NumericT , typename VectorT >
void | sparse_prod (std::vector< std::map< IndexT, NumericT > > const &A, VectorT const &y, VectorT &x, NumericT alpha, NumericT beta)
template<typename NumericT , typename Epsilon >
int | test (Epsilon const &epsilon)
int | main ()

## Detailed Description

Tests the scheduler for sparse matrix operations.

Test:
  Tests the scheduler for sparse matrix operations.

Definition in file scheduler_sparse.cpp.

## Function Documentation

template<typename ScalarType >

ScalarType diff | ( | ScalarType & | s1,
|  | viennacl::scalar< ScalarType > & | s2
| ) |  |

Definition at line 53 of file scheduler_sparse.cpp.

template<typename ScalarType >

ScalarType diff | ( | std::vector< ScalarType > & | v1,
|  | viennacl::vector< ScalarType > & | v2
| ) |  |

Definition at line 61 of file scheduler_sparse.cpp.

template<typename IndexT , typename NumericT , typename SparseMatrixT >

NumericT diff | ( | std::vector< std::map< IndexT, NumericT > > & | cpu_A,
|  | SparseMatrixT & | vcl_A
| ) |  |

Definition at line 97 of file scheduler_sparse.cpp.

int main | ( |  | ) |

Definition at line 384 of file scheduler_sparse.cpp.

template<typename IndexT , typename NumericT , typename VectorT >

void sparse_prod | ( | std::vector< std::map< IndexT, NumericT > > const & | A,
|  | VectorT const & | y,
|  | VectorT & | x,
|  | NumericT | alpha,
|  | NumericT | beta
| ) |  |

Definition at line 152 of file scheduler_sparse.cpp.

template<typename NumericT , typename Epsilon >

int test | ( | Epsilon const & | epsilon | ) |

Definition at line 169 of file scheduler_sparse.cpp.